Updates the article stock location serial with the specified key (only article_id, article_stock_location_id, serial_number and reference_back_office can be updated)

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_stock_location_serial
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_id

Foreign key of article (mandatory)

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location)

globally unique identifier
serial_number

Serial number (optional)

string

Max length: 255

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

status

Status of the serial (Read-only, always AVAILABLE when created through the API)

string
sys_logical_delete

Readonly system field managed by database

boolean
archived

Readonly archived flag

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "3f1b75b8-9229-43f5-9e9f-585ba1793256",
  "article_id": "71f811d1-c89d-423d-93fc-bee4d17a3c30",
  "article_stock_location_id": "1ea3355a-16df-4eab-b817-3d5cbdf89d2f",
  "serial_number": "sample string 4",
  "reference_back_office": "sample string 5",
  "status": "sample string 6",
  "sys_logical_delete": true,
  "archived": true,
  "modified_dateutc": "2026-10-28T22:26:19.6802438+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.